Subject: bug#6018: 23.1.96; doc of version(-list)*

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Apr 2010 23:39:10 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Fri, 23 Apr 2010 12:04:59 -0700
> Cc: 
> 
> There is no explanation (spec) of the elements in the *-list functions.

They are internal functions.  Perhaps we should say that explicitly in
the doc strings.

The doc strings that should be reviewed are those for version<,
version=, and version<=.  They are the ``entry points'' to this group
of functions.  The rest are internal subroutines.

> There is a little more info in the doc strings of `version-regexp-alist'
> and `version-to-list', but again, there are only examples, no
> explanation.  Please describe the _mapping_ between parts of version
> strings (e.g. the sub regexps "pre", "beta", "alpha" etc.) and negative
> integers as list elements.

What description is needed, given that you can see the value?